/*
 * Class RESIZABLE [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_272 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_272 [] = {0xFF01,237,271,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_272 [] = {0xFF01,271,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_272 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_272 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_272 [] = {0xFF01,271,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_272 [] = {0xFF01,271,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_272 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_272 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_272 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_272 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_272 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_272 [] = {271,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_272 [] = {0xFF01,271,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_272 [] = {0xFF01,253,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_272 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_272[] = {
	{EIF_GENERIC(NULL), 2095, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_272), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_272), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_272), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_272), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_272), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_272), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_272), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_272), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_272), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_272), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_272), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_272), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_272), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_272), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1846, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_272), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_272), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2065, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2096, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2097, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2098, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2100, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2099, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init272(void)
{
	IDSC(desc_272, 0, 271);
	IDSC(desc_272 + 1, 1, 271);
	IDSC(desc_272 + 32, 77, 271);
	IDSC(desc_272 + 41, 35, 271);
	IDSC(desc_272 + 42, 129, 271);
	IDSC(desc_272 + 48, 103, 271);
	IDSC(desc_272 + 50, 50, 271);
}


#ifdef __cplusplus
}
#endif
